'use server'

import { getPayload } from "payload"
import configPromise from '@payload-config'

type Props = {
  bookId: number,
  repositoryId: number,
}
const requestHold = async (props: Props) => {
  const payload = await getPayload({ config: configPromise })

  const requestHoldResponse = await payload.create({
    collection: 'holdRequests',
    data: {
      repository: props.repositoryId,
      book: props.bookId,
    },
  })

  return requestHoldResponse
}

export default requestHold
